<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscInfoDeactivateClass</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscInfoDeactivateClass"><H1>PetscInfoDeactivateClass</H1></A>
Deactivates PlogInfo() messages for a PETSc object class. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"   
PetscErrorCode PETSC_DLLEXPORT PetscInfoDeactivateClass(int objclass)
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>objclass </B> -The object class,  e.g., MAT_COOKIE, SNES_COOKIE, etc.
<br>
<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
One can pass 0 to deactivate all messages that are not associated with an object.
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 allow, information, printing, monitoring
<BR>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Profiling/PetscInfoActivateClass.html#PetscInfoActivateClass">PetscInfoActivateClass</A>(), <A HREF="../Profiling/PetscInfo.html#PetscInfo">PetscInfo</A>(), <A HREF="../Profiling/PetscInfoAllow.html#PetscInfoAllow">PetscInfoAllow</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>developer
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/verbose/verboseinfo.c.html#PetscInfoDeactivateClass">src/sys/verbose/verboseinfo.c</A>
<BR><A HREF="./index.html">Index of all Profiling routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
